Originators
Get originator by NMLS ID
x-api-key<token>
In: header
Path Parameters
nmlsId*string
Originator NMLS ID
Query Parameters
period?string
Period for volume/units (default: last12Months)
Value in
"2017" | "2018" | "2019" | "2020" | "2021" | "2022" | "2023" | "2024" | "2025" | "2026" | "last3Months" | "last6Months" | "last12Months" | "last14Months" | "last16Months" | "last18Months" | "last24Months" | "yearToDate" | "allTime"Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/originators/string"{
"data": {
"avgLoanAmount": 0,
"city": "string",
"companyName": "string",
"conventionalPct": 0,
"email": "string",
"employerCity": "string",
"employerState": "string",
"fhaPct": 0,
"firstName": "string",
"id": "string",
"lastName": "string",
"name": "string",
"nmlsId": "string",
"phone": "string",
"purchaseUnits": 0,
"purchaseVolume": 0,
"refinanceUnits": 0,
"refinanceVolume": 0,
"scopedUnits": 0,
"scopedVolume": 0,
"state": "string",
"units": 0,
"vaPct": 0,
"volume": 0,
"careerHistory": {
"employerCount": 0,
"employers": [
{
"avgLoanAmount": 0,
"cityCount": 0,
"countyCount": 0,
"isCurrent": true,
"name": "string",
"nmlsId": "string",
"producedFrom": "string",
"producedTo": "string",
"registeredFrom": "string",
"registeredTo": "string",
"sources": [
"production"
],
"stateCount": 0,
"topStates": [
{
"percentOfVolume": 0,
"state": "string",
"stateName": "string",
"units": 0,
"volume": 0
}
],
"units": 0,
"volume": 0,
"zipCount": 0
}
]
},
"communityLending": {
"affordableHousingTractCount": 0,
"affordableHousingTractPct": 0,
"avgAsianPct": 0,
"avgBlackPct": 0,
"avgDenialRate": 0,
"avgFamilyIncome": 0,
"avgHispanicPct": 0,
"avgHomeValue": 0,
"avgHomeownershipRate": 0,
"avgHouseholdIncome": 0,
"avgIncomeVsMetroPct": 0,
"avgLowModHouseholdPct": 0,
"avgMedianAge": 0,
"avgMilesToCollege": 0,
"avgMilesToSchool": 0,
"avgMilesToWorship": 0,
"avgMinorityPct": 0,
"avgPopulation": 0,
"avgPovertyRate": 0,
"avgTractApplications": 0,
"avgTractLoanVolume": 0,
"avgTractOriginations": 0,
"avgWhiteNonHispanicPct": 0,
"difficultDevelopmentAreaCount": 0,
"difficultDevelopmentAreaPct": 0,
"distressedTractCount": 0,
"distressedTractPct": 0,
"floodHazardTractCount": 0,
"floodHazardTractPct": 0,
"loansWithCommunityData": 0,
"lowModIncomeTractCount": 0,
"lowModIncomeTractPct": 0,
"majorityMinorityTractCount": 0,
"majorityMinorityTractPct": 0,
"opportunityZoneCount": 0,
"opportunityZonePct": 0,
"predominantFloodZone": "string",
"predominantIncomeLevel": "low",
"ruralGradient": 0,
"ruralTractCount": 0,
"ruralTractPct": 0,
"usdaEligibleTractCount": 0,
"usdaEligibleTractPct": 0
},
"contact": {
"cellPhone": "string",
"employerAddress": "string",
"employerCity": "string",
"employerCompany": "string",
"employerCompanyId": "string",
"employerState": "string",
"employerType": "string",
"employerWebsite": "string",
"employerZip": "string",
"facebook": "string",
"linkedin": "string",
"officePhone": "string",
"officePhoneExt": "string",
"personalEmail": "string",
"twitter": "string",
"website": "string",
"workEmail": "string"
},
"licenses": null,
"locations": null,
"registration": {
"address": null,
"city": "string",
"companyCategory": "string",
"companyName": "string",
"companyNmlsId": "string",
"hasDisciplinaryAction": true,
"isBranchManager": true,
"isWorking": true,
"licenseCount": 0,
"licensedSinceDate": "string",
"licensedStates": [
"string"
],
"licenses": null,
"otherNames": null,
"regulators": [
"string"
],
"sponsorships": null,
"state": "string"
},
"registrations": null,
"scored": null,
"sponsorships": null,
"title": "string"
}
}{
"error": "string"
}{
"error": "string",
"limit": 0,
"size": 0
}Count originators matching filters POST
Return the exact number of originators matching the given filters. Accepts the same request body as `listOriginators` (pagination and sort are ignored). Use this when you only need a total; to get the matching originators themselves, send the same request body to `listOriginators`.
Get bulk-delivery job status for originators GET
Next Page